Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::BoolParam Class Reference

`#include <params.h>`

Inheritance diagram for tesseract::BoolParam:

List of all members.

## Public Member Functions

| BoolParam (bool value, const char *name, const char *comment, bool init, ParamsVectors *vec)
| ~BoolParam ()
| operator BOOL8 () const
void | set_value (BOOL8 value)
Public Member Functions inherited from tesseract::Param
| ~Param ()
const char * | name_str () const
const char * | info_str () const
bool | is_init () const
bool | is_debug () const
bool | constraint_ok (SetParamConstraint constraint) const

## Additional Inherited Members

Protected Member Functions inherited from tesseract::Param
| Param (const char *name, const char *comment, bool init)
Protected Attributes inherited from tesseract::Param
const char * | name_
const char * | info_
bool | init_
bool | debug_

## Detailed Description

Definition at line 158 of file params.h.

## Constructor & Destructor Documentation

tesseract::BoolParam::BoolParam | ( | bool | value,
|  | const char * | name,
|  | const char * | comment,
|  | bool | init,
|  | ParamsVectors * | vec
| ) |  |

inline

Definition at line 160 of file params.h.

: Param(name, comment, init) {
value_ = value;
params_vec_ = &(vec->bool_params);
vec->bool_params.push_back(this);
}

tesseract::BoolParam::~BoolParam | ( |  | ) |

inline

Definition at line 166 of file params.h.

{ ParamUtils::RemoveParam<BoolParam>(this, params_vec_); }

## Member Function Documentation

tesseract::BoolParam::operator BOOL8 | ( |  | ) | const

inline

Definition at line 167 of file params.h.

{ return value_; }

void tesseract::BoolParam::set_value | ( | BOOL8 | value | ) |

inline

Definition at line 168 of file params.h.

{ value_ = value; }

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/params.h